Not writeable

I’m installing some software and it says that the path is not writeable?
I setted EVERYTHING to writeable!
Still giving the error!
“The folder (/home/vol1_3/epizy.com/epiz_20696995/leren.softlearn.ga) is not writeable”

Can someone fix this??

Regards,
bolleboor

Scripts can only write to the htdocs directories they are in. Any directories outside the htdocs dir cannot be written to regardless of permission settings. Please make sure your script writes to /home/vol1_3/epizy.com/epiz_20696995/leren.softlearn.ga/htdocs.

But my application said its not safe to write an DATA folder in there.
It only will let me upload outside the Htdocs :(.

Is there an other way or something?

Or is there like an override?

@bolleboor said:
But my application said its not safe to write an DATA folder in there.
It only will let me upload outside the Htdocs :(.

And we say it’s not safe to let web scripts access stuff outside their own folder. Both arguments have their merit. However, you cannot disable our security systems so if the script refuses to store it’s content in the htdocs folder, it means you cannot host the script here.

It says that the htdocs folder is not safe.
So the installer is blocking it.
I cannot find any fixes to do.
Because data can’t be in the htdocs folder.

Is there ANY other way?

@Admin said:

@bolleboor said:
But my application said its not safe to write an DATA folder in there.
It only will let me upload outside the Htdocs :(.

And we say it’s not safe to let web scripts access stuff outside their own folder. Both arguments have their merit. However, you cannot disable our security systems so if the script refuses to store it’s content in the htdocs folder, it means you cannot host the script here.

Maybe you can try to install it?
It will be really nice if you would

FIXED

Wait not…
I have tried to install it.
It got fixed
BUT
When i needed to setup the MySQL
It said this:
Fatal error: $CFG->dataroot is not configured properly, directory does not exist or is not accessible! Exiting.

I’m using the newest moodle version.
Can somebody fix this?